import 'package:wq2/wq2.dart' as wq;
import 'dart:io';
import 'dart:convert';
import 'dart:async';

main(List<String> arguments) async {
  print('Name: ${wq.getUnixTimeString()}!');

  // 内网ip
  for (var interface in await NetworkInterface.list()) {
    for (var addr in interface.addresses) {
      print('内网 IP：${addr.address}');
    }
  }

  // 外网ip
  var ipRegexp = RegExp(
      r'((?:(?:25[0-5]|2[0-4]\d|(?:1\d{2}|[1-9]?\d))\.){3}(?:25[0-5]|2[0-4]\d|(?:1\d{2}|[1-9]?\d)))');
  var url = 'http://www.ip.cn/';
  var client = HttpClient();
  var request = await client.getUrl(Uri.parse(url));
  var reponse = await request.close();
  reponse.transform(utf8.decoder).forEach((line) {
    ipRegexp.allMatches(line).forEach((match) {
      print("外网 IP：${match.group(0)}");
    });
  });

}
